package com.resources;

import java.util.ArrayList;
import java.util.List;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.UriInfo;

import org.codehaus.jettison.json.JSONException;

import com.diagrams.Circle;
import com.diagrams.Diagram;
import com.diagrams.Square;


@Path("/diagram/")
public class DiagramResource {
	
	@Context UriInfo uriInfo;
	
	public List<Diagram> getDiagramsFromSource() {
		List<Diagram> digs = new ArrayList<Diagram>(2);
		digs.add(new Diagram(new Square()));
		digs.add(new Diagram(new Circle()));
		return digs;
	}
	
//	@Path("{diagramid}/")
//    public ReconciliationResource getRec(@PathParam("recid") String recid) {
//        return new ReconciliationResource(uriInfo, recDao, sessDao, Long.parseLong(recid));
//    }
	
	@GET
    @Produces("application/json")
    public List<Diagram> getDiagrams() throws JSONException {
		return getDiagramsFromSource();
    }
	
}
